<div class="plc user">
   	 <div class="plc-menu">
        	{{config.title}}
    </div>
        <div class="client-resourceOperatorMaintenance-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
    <div class="plc-content output-statement-heading">
        <div class="row">
            <div class="col-sm-12">
				<div class="public-horizon" style="padding-top: 7px;">
					<label class="horizon-label label-client" >设备操作员：</label>
					<div class="horizon-group horizon-col-client-3" >
						{{config.resourceOperator}}
					</div>
					<!--<label class="horizon-label label-client" >设备操作员姓名：</label>-->
					<div class="horizon-group horizon-col-client-4" >
						{{config.operatorName}}
					</div>
					<div class="horizon-group horizon-col-client-4" ng-switch="config.operatorLocked">
						<label ng-switch-when="true">锁定</label>
					</div>
					<div class="horizon-btns" style="margin-left: 15px;">
						<button class="btn btn-primary" ng-click="changeOperatorPage()" ng-if="!config.resourceOperator">维护</button>
						<button class="btn btn-primary" ng-click="changeOperatorPage()" ng-if="config.resourceOperator">更换操作员</button>
					</div>
					<form class="form-horizontal" role="form">
					<div class="horizon-btns" ng-switch="config.operatorLocked" style="margin-left: 110px;">
						<button class="btn btn-primary" ng-switch-default ng-click="locked()" ng-disabled="!config.resourceOperator">锁定</button>
						<button class="btn btn-primary" ng-switch-when="true" ng-click="unlockedPage()">解锁</button>
						<button class="btn btn-primary" ng-switch-when="" ng-click="locked()" ng-disabled="!config.resourceOperator">锁定</button>
						<button class="btn btn-primary" ng-switch-when="false" ng-click="locked()" ng-disabled="!config.resourceOperator">锁定</button>
					</div>
					</form>
					<form class="form-horizontal" role="form" style="margin-left: auto;">
					<div style="margin-right: 10px;">
						<button class="btn btn-primary"  ng-click="logout()" ng-disabled="!config.resourceOperator || config.operatorLocked == 'true'">注销</button>
					</div>
					</form>
				</div>
                <div class="public-horizon-form">
                    <div class="public-horizon">
                        <label class="horizon-label label-client">设备编码：</label>
	                        <div class="horizon-group horizon-col-client-3">
	                        	{{config.resource}}
	                        </div>
	                    <!--<label class="horizon-label label-client">设备描述：</label>-->
	                        <div class="horizon-group horizon-col-client-3">
	                        	{{config.resourceName}}
	                        </div>
                    </div>
                    <div class="public-horizon">
                        <label class="horizon-label label-client">物料编码：</label>
	                        <div class="horizon-group horizon-col-client-3">
	                        	{{config.item}}
	                        </div>
	                   <!--<label class="horizon-label label-client">物料描述：</label>-->
	                        <div class="horizon-group horizon-col-client-3">
	                        	{{config.itemName}}
	                        </div>
	                        <div class="horizon-btns">
	                            <button class="btn btn-primary" ng-click="changeItem()" ng-if="!config.item">维护</button>
	                            <button class="btn btn-primary" ng-click="changeItem()" ng-if="config.item">更换物料编码</button>
	                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <move-template></move-template>
	<div class="plc-content plato-statement-content">
		<form class="form-horizontal" role="form">
			<!--<div class="row statement-title" style="padding-left:15px;">-->
				<!--<div class="col-sm-2 col-xs-2" style="width:80%">-->
					<!--<label class="control-label label-title">设备号：{{config.resourceName}}</label>-->
				<!--</div>-->
				<!--<div class="col-sm-3 col-xs-3">-->
				<!--</div>-->
				<!--<div class="col-sm-4 col-xs-4">-->
				<!--</div>-->
				<!--<div class="col-sm-4 col-xs-4">-->
				<!--</div>-->
			<!--</div>-->
			<div class="row statement-title" style="padding-left:15px;padding-top:15px;margin-bottom:20px">
				<div class="col-sm-2 col-xs-2">
					<button class="btn btn-primary" ng-click="createAutoOrder(1)" ng-disabled="config.disabledMeReceiverOrderBtn">创建自主维修单</button>
				</div>
				<!--<div class="col-sm-2 col-xs-2">-->
					<!--<button class="btn btn-primary" ng-click="changeWorkOrderStatu()" ng-disabled="config.disabledMeReceiverOrderBtn"  ng-if="config.isShowWorkOrderStatuBtn">自主维修确认OK</button>-->
				<!--</div>-->
				<div class="col-sm-2 col-xs-2">
					<!--  -->
					<button class="btn btn-primary" ng-click="maintenanceResultConfirmation('OK')" ng-disabled="config.disabledMeReceiverOrderBtn" ng-if="config.isShowMaintenanceResultOKBtn">自主维修确认OK</button>
				</div>
				<div class="col-sm-2 col-xs-2">
					<!--  -->
					<button class="btn btn-danger" ng-click="maintenanceResultConfirmation('NG')" ng-disabled="config.disabledMeReceiverOrderBtn" ng-if="config.isShowMaintenanceResultOKBtn">自主维修确认NG(报ME处理)</button>
				</div>
				<div class="col-sm-2  col-xs-2" >
					<button class="btn btn-danger" ng-if="config.repairForMeBtn" ng-click="createAutoOrder(2,'repairForMe')" ng-disabled="config.disabledMeReceiverOrderBtn">故障报修(报ME处理)</button>
				</div>
				<div class="col-sm-1  col-xs-1">
					<button class="btn btn-primary" ng-click="createHiddenTroubleNoticePage()" ng-disabled="config.disabledMeReceiverOrderBtn">创建隐患通知单</button>
				</div>
				<div style="float:right;margin-right:15px">
					<button class="btn btn-primary" ng-click="refresh()">刷新</button>
				</div>
			</div>
		</form>
		<div id="plc-data-item-grid-area" ui-grid="workOrderGrid" ui-grid-selection ng-style="getHeight()"
			 ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
			 class="plc-data-item-grid ad-basic-grid" >
		</div>
	</div>
</div>
